Package home | Report new bug | New search | Development Roadmap Status: Open | Feedback | All | Closed Since Version 1.3.3

Request #8071 Disable tls if we don't want to use it
Submitted: 2006-06-29 09:33 UTC Modified: 2006-12-21 19:01 UTC
From: suse-tux at gmx dot de Assigned: amistry
Status: Closed Package: Net_Sieve (version 1.1.4)
PHP Version: 5.1.2 OS: linux
Roadmaps: (Not assigned)    
Subscription  


 [2006-06-29 09:33 UTC] suse-tux at gmx dot de (Marcus Hüwe)
Description: ------------ In the Sieve.php script is tls_check which checks if tls support is available. If it is available tls will be used whether we want it or not. I didn't find a way to disable the check so i created a patch for it. Test script: --------------- patch can be found here: http://ftp4.gwdg.de/pub/linux/misc/kolab/patches/Net_Sieve-1.1.3-no_tls.diff

Comments

 [2006-08-16 03:08 UTC] amistry at php dot net (Anish Mistry)
This bug has been fixed in CVS. If this was a documentation problem, the fix will appear on pear.php.net by the end of next Sunday (CET). If this was a problem with the pear.php.net website, the change should be live shortly. Otherwise, the fix will appear in the package's next release. Thank you for the report and for helping us make PEAR better.
 [2006-10-04 10:42 UTC] suse-tux at gmx dot de
It doesn't work with the new version of Net_Sieve (1.1.4) because there's a mistake in the _handleConnectAndLogin() function: // line 229: if (PEAR::isError($res = $this->connect($this->_data['host'] , $this->_data['port'], $this->_useTLS ))) The _useTLS option is passed as the third argument but it should be the fourth: function connect($host, $port, $options = null, $useTLS = true) Here you can find a patch: http://ftp4.gwdg.de/pub/linux/misc/kolab/patches/Net_Sieve-1.1.4-tls.diff
 [2006-10-04 13:31 UTC] amistry at php dot net (Anish Mistry)
Stupid me. I've fixed this in the CVS. I'll try to roll another release in a week.
 [2006-12-21 19:01 UTC] amistry at php dot net (Anish Mistry)
Thank you for your bug report. This issue has been fixed in the latest released version of the package, which you can download at http://pear.php.net/get/Net_Sieve